Get_Tract
Prev | 14.2. Tiger Geocoder | Next

## Name

Get_Tract — Returns census tract or field from tract table of where the geometry is located. Default to returning short name of tract.

## Synopsis

`text get_tract(`geometry loc_geom, text output_field=name`)`;

## Description

Given a geometry will return the census tract location of that geometry. NAD 83 long lat is assumed if no spatial ref sys is specified.

This function uses the census `tract` which is not loaded by default. If you have already loaded your state table, you can load tract as well as bg, and tabblock using the Loader_Generate_Census_Script script. If you have not loaded your state data yet and want these additional tables loaded, do the following
    UPDATE tiger.loader_lookuptables SET load = true WHERE load = false AND lookup_name IN('tract', 'bg', 'tabblock');
then they will be included by the Loader_Generate_Script.

Availability: 2.0.0

## Examples: Basic

    SELECT get_tract(ST_Point(-71.101375, 42.31376) ) As tract_name;
    tract_name
    ---------
    1203.01

    --this one returns the tiger geoid
    SELECT get_tract(ST_Point(-71.101375, 42.31376), 'tract_id' ) As tract_id;
    tract_id
    ---------
    25025120301

## See Also

Geocode>

Prev | Up | Next
Get_Geocode_Setting | Home | Install_Missing_Indexes